package com.ads.business.model.rep;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author huzhihao
 * @date 2021-12-29 14:07
 **/
@Data
public class ProductInfoVo {

    @NotBlank
    @ApiModelProperty(value = "商家自定义商品ID")
    private String out_product_id;

    @NotBlank
    @ApiModelProperty(value = "商家自定义sku ID")
    private String out_sku_id;

    @NotNull
    @ApiModelProperty(value = "参与售后的商品数量")
    private Integer product_cnt;
}