package com.ads.business.model.resq;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("商品列表出参")
public class CommodityRespVo {

    @ApiModelProperty(value = "id")
    private String commodity_id;

    @ApiModelProperty(value = "商品名称")
    private String title;

    @ApiModelProperty(value = "商品ID")
    private String out_product_id;

    @ApiModelProperty(value = "商品价格")
    private BigDecimal sale_price;

    @ApiModelProperty(value = "库存")
    private Integer stock_num;

    @ApiModelProperty(value = "上下架状态")
    private Integer edit_status;

    @ApiModelProperty(value = "审核状态")
    private Integer status;

    @ApiModelProperty(value = "审核状态")
    private String status_name;

    @ApiModelProperty(value = "创建时间")
    private String create_time;

    @ApiModelProperty(value = "上下架时间")
    private String stand_down_time;


}
