package com.ads.common.constant;

/**
 * @author huzhihao
 * @date 2021-12-09 16:04
 **/
public class CodeConstant {

    /**
     * 微信相关
     */
    public static final class WECHAT {

        /**
         * access_token
         */
        public static final String ACCESS_TOKEN = "access_token";

        /**
         * errcode
         */
        public static final String ERR_CODE = "errcode";

        /**
         * errmsg
         */
        public static final String ERR_MSG = "errmsg";


        /**
         * ip_list
         */
        public static final String IP_LIST = "ip_list";

        /**
         * resp_type
         */
        public static final String RESP_TYPE = "resp_type";

        /**
         * upload_type
         */
        public static final String UPLOAD_TYPE = "upload_type";

        /**
         * img_info
         */
        public static final String IMG_INFO = "img_info";


        /**
         * temp_img_url
         */
        public static final String TEMP_IMG_URL = "temp_img_url";


        /**
         * OUT_PRODUCT_ID
         */
        public static final String OUT_PRODUCT_ID = "out_product_id";


        /**
         * NEED_EDIT_SPU
         */
        public static final String NEED_EDIT_SPU = "need_edit_spu";


        /**
         * 商品审核回调
         */
        public static final String OPEN_PRODUCT_SPU_AUDIT = "open_product_spu_audit";


        /**
         * USER_ENTER_TEMPSESSION
         */
        public static final String USER_ENTER_TEMPSESSION = "user_enter_tempsession";


        /**
         * 系统下架的回调
         */
        public static final String OPEN_PRODUCT_SPU_STATUS_UPDATE = "open_product_spu_status_update";


        /**
         * 类目审核回调
         */
        public static final String OPEN_PRODUCT_CATEGORY_AUDIT = "open_product_category_audit";


        /**
         * 品牌审核回调
         */
        public static final String OPEN_PRODUCT_BRAND_AUDIT = "open_product_brand_audit";


        /**
         * ENCRYPT
         */
        public static final String ENCRYPT = "Encrypt";


        /**
         * EVENT
         */
        public static final String EVENT = "Event";


        /**
         * STATUS
         */
        public static final String STATUS = "status";


        /**
         * REJECT_REASON
         */
        public static final String REJECT_REASON = "reject_reason";


        /**
         * SPU_STATUS
         */
        public static final String SPU_STATUS = "spu_status";


        /**
         * AUDIT_ID
         */
        public static final String AUDIT_ID = "audit_id";


        /**
         * BRAND_ID
         */
        public static final String BRAND_ID = "brand_id";


        /**
         * BRAND_ID
         */
        public static final String AUDIT_TYPE = "audit_type";


        /**
         * FROM_USER_NAME
         */
        public static final String FROM_USER_NAME = "FromUserName";


        /**
         * CREATE_TIME
         */
        public static final String CREATE_TIME = "CreateTime";

        /**
         * SUCCESS
         */
        public static final String SUCCESS = "success";

    }

    /**
     * redis相关
     */
    public static final class REDIS {

        /**
         * access_token
         */
        public static final String ACCESS_TOKEN = "wechat:access_token";

        /**
         * event
         */
        public static final String EVENT = "wechat:event";
    }

    /**
     * string
     */
    public static final class STRING {

        /**
         * 0
         */
        public static final String STR_0 = "0";

        /**
         * 1
         */
        public static final String STR_1 = "1";
    }

    /**
     * int
     */
    public static final class INTEGER {

        /**
         * 0
         */
        public static final Integer INT_0 = 0;

        /**
         * 1
         */
        public static final Integer INT_1 = 1;
    }
}