package com.ads.common.constant;

/**
 * 常量定义
 *
 * @author: stamm
 * @Date: 2021/06/04/14:23
 */
public class CommonConstant {
    /**
     * 创建人
     */
    public static final String CREATE_USER = "create_user";

    /**
     * 更新人
     */
    public static final String UPDATE_USER = "update_user";

    /**
     * 创建时间
     */
    public static final String CREATE_TIME = "create_time";

    /**
     * 更新时间
     */
    public static final String UPDATE_TIME = "update_time";

    /**
     * 当前页码
     */
    public static final String PAGE = "page";
    /**
     * 每页显示记录数
     */
    public static final String LIMIT = "limit";
    /**
     * 排序字段
     */
    public static final String ORDER_FIELD = "sidx";
    /**
     * 排序方式
     */
    public static final String ORDER = "order";
    /**
     * 升序
     */
    public static final String ASC = "asc";

    /**
     * 排序规则： descend 降序
     */
    public static final String ORDER_DESC = "desc";
    /**
     * 排序规则： ascend 升序
     */
    public static final String ORDER_ASC = "asc";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    /**
     * Excel文件 后缀
     */
    public static final String EXCEL_SUFFIX = ".xlsx";

    public static final String EXCEL_SUFFI_XLS = ".xls";


}
