package com.ads.common.constant;

/**
 * 微信api地址
 *
 * @author huzhihao
 * @date 2021-12-09 16:04
 **/
public class UrlConstant {

    /**
     * access_token
     */
    public static final String ACCESS_TOKEN = "https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid={}&secret={}";

    /**
     * ip_list
     */
    public static final String IP_LIST = "https://api.weixin.qq.com/cgi-bin/getcallbackip?access_token={}";

    /**
     * IMG_UPLOAD
     */
    public static final String IMG_UPLOAD = "https://api.weixin.qq.com/shop/img/upload?access_token={}";

    /**
     * CAT_GET
     */
    public static final String CAT_GET = "https://api.weixin.qq.com/shop/cat/get?access_token={}";

    /**
     * SPU_GET
     */
    public static final String SPU_GET = "https://api.weixin.qq.com/shop/spu/get?access_token={}";

    /**
     * SPU_ADD
     */
    public static final String SPU_ADD = "https://api.weixin.qq.com/shop/spu/add?access_token={}";

    /**
     * SPU_UPDATE
     */
    public static final String SPU_UPDATE = "https://api.weixin.qq.com/shop/spu/update?access_token={}";

    /**
     * SPU_DEL
     */
    public static final String SPU_DEL = "https://api.weixin.qq.com/shop/spu/del?access_token={}";

    /**
     * SPU_LISTING
     */
    public static final String SPU_LISTING = "https://api.weixin.qq.com/shop/spu/listing?access_token={}";

    /**
     * SPU_DELISTING
     */
    public static final String SPU_DELISTING = "https://api.weixin.qq.com/shop/spu/delisting?access_token={}";

    /**
     * AUDIT_BRAND
     */
    public static final String AUDIT_BRAND = "https://api.weixin.qq.com/shop/audit/audit_brand?access_token={}";

    /**
     * AUDIT_CATEGORY
     */
    public static final String AUDIT_CATEGORY = "https://api.weixin.qq.com/shop/audit/audit_category?access_token={}";

    /**
     * ORDER_PAY
     */
    public static final String ORDER_PAY = "https://api.weixin.qq.com/shop/order/pay?access_token={}";

    /**
     * ORDER_PAY
     */
    public static final String ORDER_GET = "https://api.weixin.qq.com/shop/order/get?access_token={}";

    /**
     * DELIVERY_SEND
     */
    public static final String DELIVERY_SEND = "https://api.weixin.qq.com/shop/delivery/send?access_token={}";

    /**
     * AFTERSALE_SEND
     */
    public static final String AFTERSALE_SEND = "https://api.weixin.qq.com/shop/aftersale/add?access_token={}";

    public static final String URL_HSAY_OPEN = "https://vapi.hsayi.com/open/wxapp/get-wx-app-token";
}