package com.ads.common.enums;

/**
 * @Return
 * @Destription 商品产地是否进口
 */
public enum CommodityOriginTypeEnum {
    YES(1	, "是"),
    NO(2	, "否"),
    ;
    private Integer code;

    private String desc;

    CommodityOriginTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode(){return this.code;}

    public String getDesc(){return this.desc;}

    public static CommodityOriginTypeEnum getByCode(Integer code){
        for (CommodityOriginTypeEnum value : CommodityOriginTypeEnum.values()) {
            if (value.code.equals(code)){
                return value;
            }
        }
        return null;
    }
}
