package com.ads;

import com.ads.business.service.WechatService;
import com.ads.business.service.data.spu.SpuDetail;
import com.ads.common.constant.UrlConstant;
import com.ads.common.handler.WeChatHandler;
import lombok.Getter;
import lombok.Setter;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashMap;
import java.util.Map;

@SpringBootTest
@RunWith(SpringRunner.class)
public class Test2 {


    @Autowired
    private WechatService wechatService;

    @Test
    public void test1() {

        Dto dto = new Dto();
        dto.setNeed_edit_spu(1);
        dto.setOut_product_id("1234566");

        Map map = new HashMap();
        map.put("out_product_id", "1234566");
        map.put("need_edit_spu", 1);

        SpuDetail o = (SpuDetail) WeChatHandler.httpPostMethod(
                UrlConstant.SPU_GET,
                map,
                SpuDetail.class
        );
        System.out.println(o);
    }

    @Getter
    @Setter
    class Dto {

        private String out_product_id;

        private Integer need_edit_spu;
    }


    @Test
    public void test2() {

    }

}
