package com.ads.business.dao;

import com.ads.business.entity.HsayiCategoryInfo;
import com.ads.business.model.rep.CategoryInfoReqVo;
import com.ads.business.model.resq.CategoryInfoDetailRespVo;
import com.ads.business.model.resq.CategoryInfoRespVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 类目表 Mapper 接口
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
public interface HsayiCategoryInfoDao extends BaseMapper<HsayiCategoryInfo> {
    /**
     * 列表
     *
     * @param vo
     * @return
     */
    Page<CategoryInfoRespVo> findPage(@Param("page") Page page, @Param("vo") CategoryInfoReqVo vo);

    /**
     * 详情
     *
     * @param categoryInfoId
     * @return
     */
    CategoryInfoDetailRespVo detail(Long categoryInfoId);
}
