package com.ads.business.model.rep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
@ApiModel("类目审核通过的编辑入参")
public class CategoryInfoAuthedEditRepVo {

    @ApiModelProperty("id")
    @NotNull(message = "id不能为空")
    private Long category_info_id;

    @ApiModelProperty("申请类目")
    @NotEmpty(message = "申请类目不能为空")
    private String level3_name;

    @ApiModelProperty("备注")
    private String remark;
}
