package com.ads.business.model.rep;

import com.ads.common.base.BasePageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
@ApiModel("商品列表入参")
public class CommodityReqVo extends BasePageRequest {

    @ApiModelProperty(value = " 类型(1=上架 2=下架,3=首次申请)")
    @NotEmpty(message = "类型不能为空")
    private String type;

    @ApiModelProperty(value = "搜索内容")
    private String searchName;

    @ApiModelProperty(value = "排序字段")
    private String sortField;

    @ApiModelProperty(value = "排序方式 desc 降序 asc 升序")
    private String sortOrder;
}
