package com.ads.business.model.resq;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("类目详情信息出参")
public class CategoryInfoDetailRespVo {

    @ApiModelProperty("id")
    private Long category_info_id;

    @ApiModelProperty("一级类目")
    private Integer level1;

    @ApiModelProperty("二级类目")
    private Integer level2;

    @ApiModelProperty("三级类目")
    private Integer level3;

    @ApiModelProperty("申请类目")
    private String level3_name;

    @ApiModelProperty("备注")
    private String remark;

    /**
     * 审核状态,1:已通过,9:拒绝;0审核中
     */
    @ApiModelProperty("审核状态(1:已通过,9:拒绝;0审核中)")
    private Integer status;

    @ApiModelProperty("审核状态")
    private String statusName;

    @ApiModelProperty("相关信息")
    private String reject_reason;

    @ApiModelProperty(value = "营业执照或组织机构代码证")
    private List<String> licenseImgs;

    @ApiModelProperty(value = "资质材料")
    private List<String> certificateImgs;
}
