package com.ads.business.service.data.brand;

import lombok.Data;

import java.util.List;

/**
 * 品牌信息
 *
 * @author huzhihao
 * @date 2021-12-24 14:46
 **/
@Data
public class BrandInfo {

    private Integer brand_audit_type;
    private String trademark_type;
    private Integer brand_management_type;
    private Integer commodity_origin_type;
    private String brand_wording;
    private List<String> sale_authorization;
    private List<String> trademark_registration_certificate;
    private List<String> trademark_change_certificate;
    private String trademark_registrant;
    private String trademark_registrant_nu;
    private String trademark_authorization_period;
    private List<String> trademark_registration_application;
    private String trademark_applicant;
    private String trademark_application_time;
    private List<String> imported_goods_form;
}