package com.ads.business.service.data.order;

import lombok.Data;

/**
 * 同步订单结果
 *
 * @author huzhihao
 * @date 2021-12-27 10:11
 **/
@Data
public class OrderPayReq {

    private String out_order_id;
    private String openid;
    /**
     * 类型，默认1:支付成功,2:支付失败,3:用户取消,4:超时未支付;5:商家取消;10:其他原因取消
     */
    private Integer action_type;
    /**
     * 支付订单号，action_type=1且order/add时传的pay_method_type=0时必填
     */
    private String transaction_id;
    /**
     * 支付完成时间，action_type=1时必填，yyyy-MM-dd HH:mm:ss
     */
    private String pay_time;
}