package com.ads.common.constant;

/**
 * 常数定义
 */
public class UtilConst {
    public static final String PREFIX_KEY = "ads_";
    // 缓存message提示信息的key
    public static final String CACHE_MY_MESSAGE_KEY = PREFIX_KEY + "my_messages_";


    public static final Integer CODE_0 = 0;//成功

    public static final Integer CODE_401 = 401;

    public static final Integer CODE_403 = 403;

    public static final Integer CODE_500 = 500;

    public static final Integer CODE_1001 = 1001;

    public static final Integer CODE_2001 = 2001;

    /**
     * 参数错误
     */
    public static final Integer CODE_1002 = 1002;

    public static final String URL_ERROR = "error";

    public static final String REQUEST_METHOD_OPTIONS = "OPTIONS";

    public static final String LOGIN_TOKEN = "X-Token";

    public static final String LANGUAGE = "X-Language";

    public static final Long TOKEN_EXPIRE = 24 * 60 * 60L;


}
