package com.ads.common.enums;

/**
 * @Return
 * @Destription 品牌图片类型
 */
public enum BrandImgTypeEnum {

    AUTHORIZATION("authorization", "销售授权书"),
    REGISTRATION_CERTIFICATE("registration_certificate", "商标注册证书"),
    CHANGE_CERTIFICATE("change_certificate", "商标变更证明"),
    REGISTRATION_APPLICATION("registration_application", "商标注册申请受理通知书"),
    GOODS_FORM("goods_form", "中华人民共和国海关进口货物报关单"),
    ORG_CODE_CERTIFICATE("org_code_certificate", "营业执照或组织机构代码证"),
    ;
    private String code;

    private String desc;

    BrandImgTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return this.code;
    }

    public String getDesc() {
        return this.desc;
    }

}
