package com.ads.common.enums;

/**
 * @Return
 * @Destription 认证审核类型
 */
public enum RegisterTypeEnum {
    GNPPR(1	, "国内品牌申请-R标"),
    PGPPTM(2	, "国内品牌申请-TM标"),
    HWPPR(3	, "海外品牌申请-R标"),
    HWPPTM(4	, "海外品牌申请-TM标"),
    ;

    private Integer code;

    private String desc;

    RegisterTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode(){return this.code;}

    public String getDesc(){return this.desc;}

    public static RegisterTypeEnum getByCode(Integer code){
        for (RegisterTypeEnum value : RegisterTypeEnum.values()) {
            if (value.code.equals(code)){
                return value;
            }
        }
        return null;
    }
}
