package com.ads;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import org.junit.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class Test1 {

    @Test
    void contextLoads() {
    }

    @Test
    void test1() {
        String url = StrUtil.format(
                "https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid={}&secret={}",
                "wx8a8e76d80f93467c",
                "47011e2f917fc7da3ae6eb5030418064"
        );
        String res = HttpUtil.get(url);
        JSONObject jsonObject = JSONUtil.parseObj(res);
        String accessToken = jsonObject.getStr("access_token");
        System.out.println(accessToken);
    }

    @Test
    void test2() {
        String url = StrUtil.format(
                "https://api.weixin.qq.com/cgi-bin/getcallbackip?access_token={}",
                "a51_s9qiOjMPW-0oJPnchabT924iLUeza9Q4X6krlr_tkOPBuDBmveGqCDRNutwlAgD2UVic5yPTiTOJ6bWmL8qEUHDJNwEIe_e2PsJVkIVuF7HPK2hCXqrOudJUw9zPQb7edGX1qh8slnr7MRgqXFIdACALTW"
        );
        String res = HttpUtil.get(url);
        JSONObject jsonObject = JSONUtil.parseObj(res);
        String ipList = jsonObject.getStr("ip_list");
        if (StrUtil.isNotBlank(ipList)){
            System.out.println("token有效");
        }else{
            System.out.println("token过期");
        }
    }


}
